CodeSetHeader Struct Reference

Information on address space for process. All sizes are in pages (0x1000 bytes) More...

`#include <svc.h>`

## Data Fields

u8 | name [8]
| ASCII name of codeset.
u16 | version
| Version field of codeset (unused)
u16 | padding [3]
| Padding.
u32 | text_addr
| .text start address
u32 | text_size
| .text number of pages
u32 | ro_addr
| .rodata start address
u32 | ro_size
| .rodata number of pages
u32 | rw_addr
| .data, .bss start address
u32 | rw_size
| .data number of pages
u32 | text_size_total
| total pages for .text (aligned)
u32 | ro_size_total
| total pages for .rodata (aligned)
u32 | rw_size_total
| total pages for .data, .bss (aligned)
u32 | padding2
| Padding.
u64 | program_id
| Program ID.

## Detailed Description

Information on address space for process. All sizes are in pages (0x1000 bytes)

The documentation for this struct was generated from the following file:

- include/3ds/svc.h